WKHTMLTOPDF(1)

Name
wkhtmltoimage - html to image converter

Synopsis
  wkhtmltoimage [OPTIONS]... <input file> <output file>

Description
Converts an HTML page into an image,

General Options
--allow <path>
    Allow the file or files from the specified folder to be loaded (repeatable)
--bypass-proxy-for <value>
    Bypass proxy for host (repeatable)
--cache-dir <path>
    Web cache directory
--checkbox-checked-svg <path>
    Use this SVG file when rendering checked checkboxes
--checkbox-svg <path>
    Use this SVG file when rendering unchecked checkboxes
--cookie <name> <value>
    Set an additional cookie (repeatable), value should be url encoded.
--cookie-jar <path>
    Read and write cookies from and to the supplied cookie jar file
--crop-h <int>
    Set height for cropping
--crop-w <int>
    Set width for cropping
--crop-x <int>
    Set x coordinate for cropping
--crop-y <int>
    Set y coordinate for cropping
--custom-header <name> <value>
    Set an additional HTTP header (repeatable)
--custom-header-propagation
    Add HTTP headers specified by --custom-header for each resource request.
--no-custom-header-propagation
    Do not add HTTP headers specified by --custom-header for each resource request.
--debug-javascript
    Show javascript debugging output
--no-debug-javascript
    Do not show javascript debugging output
--encoding <encoding>
    Set the default text encoding, for input
-H, --extended-help
    Display more extensive help, detailing less common command switches
-f, --format <format>
    Output file format
--height <int>
    Set screen height (default is calculated from page content)
-h, --help
    Display help
--htmldoc
    Output program html help
--images
    Do load or print images
--no-images
    Do not load or print images
-n, --disable-javascript
    Do not allow web pages to run javascript
--enable-javascript
    Do allow web pages to run javascript
--javascript-delay <msec>
    Wait some milliseconds for javascript finish
--license
    Output license information and exit
--load-error-handling <handler>
    Specify how to handle pages that fail to load: abort, ignore or skip
--load-media-error-handling <handler>
    Specify how to handle media files that fail to load: abort, ignore or skip
--disable-local-file-access
    Do not allowed conversion of a local file to read in other local files, unless explicitly allowed with --allow
--enable-local-file-access
    Allowed conversion of a local file to read in other local files.
--log-level <level>
    Set log level to: none, error, warn or info
--manpage
    Output program man page
--minimum-font-size <int>
    Minimum font size
--password <password>
    HTTP Authentication password
--disable-plugins
    Disable installed plugins
--enable-plugins
    Enable installed plugins (plugins will likely not work)
--post <name> <value>
    Add an additional post field (repeatable)
--post-file <name> <path>
    Post an additional file (repeatable)
-p, --proxy <proxy>
    Use a proxy
--proxy-hostname-lookup
    Use the proxy for resolving hostnames
--quality <int>
    Output image quality (between 0 and 100)
-q, --quiet
    Be less verbose, maintained for backwards compatibility; Same as using --log-level none
--radiobutton-checked-svg <path>
    Use this SVG file when rendering checked radiobuttons
--radiobutton-svg <path>
    Use this SVG file when rendering unchecked radiobuttons
--readme
    Output program readme
--run-script <js>
    Run this additional javascript after the page is done loading (repeatable)
--ssl-crt-path <path>
    Path to the ssl client cert public key in OpenSSL PEM format, optionally followed by intermediate ca and trusted certs
--ssl-key-password <password>
    Password to ssl client cert private key
--ssl-key-path <path>
    Path to ssl client cert private key in OpenSSL PEM format
--stop-slow-scripts
    Stop slow running javascripts
--no-stop-slow-scripts
    Do not Stop slow running javascripts
--user-style-sheet <path>
    Specify a user style sheet, to load with every page
--username <username>
    HTTP Authentication username
-V, --version
    Output version information and exit
--width <int>
    Set screen width, note that this is used only as a guide line. Use --disable-smart-width to make it strict.
--window-status <windowStatus>
    Wait until window.status is equal to this string before rendering page
--zoom <float>
    Use this zoom factor

Contact
If you experience bugs or want to request new features please visit <https://wkhtmltopdf.org/support.html>

Authors

  Jakob Truelsen <antialize@gmail.com>
  Ashish Kulkarni <ashish@kulkarni.dev>
  Jan Habermann <jan@habermann24.com>
  Pablo Ruiz García <pablo.ruiz@gmail.com>
  Trevor North <trevor@blubolt.com>
  Nate Pinchot <nate.pinchot@gmail.com>
  pussbb <pussbb@gmail.com>
  Aaron Stone <aaron@serendipity.cx>
  Patrick Widauer @a-ctor
  Peter van der Tak <pta@ibuildgreen.eu>
  Benjamin Sinkula <bsinky@gmail.com>
  Kasper F. Brandt <poizan@poizan.dk>
  Michael Nitze <michael.nitze@online.de>
  Rok Dvojmoc <rok.dvojmoc@gmail.com>
  theirix <theirix@gmail.com>
  Tomsgu <tomasjakll@gmail.com>
  Artem Butusov <art.sormy@gmail.com>
  Christian Sciberras <uuf6429@gmail.com>
  Daniel M. Lambea <dmlambea@gmail.com>
  Douglas Bagnall <douglas@paradise.net.nz>
  peterrehm <peter.rehm@renvest.de>
  Renan Gonçalves <renan.saddam@gmail.com>
  Ruslan Grabovoy <kudgo.test@gmail.com>
  Sander Kleykens <sander.kleykens@avnu.be>
  Adam Thorsen <adam.thorsen@gmail.com>
  Albin Kerouanton <albin.kerouanton@knplabs.com>
  Alejandro Dubrovsky <alito@organicrobot.com>
  Arthur Cinader @acinader
  Benoit Garret <benoit.garret@gmail.com>
  Bill Kuker <bkuker@billkuker.com>
  cptjazz <alexander@jesner.eu>
  daigot <daigot@rayze.com>
  Destan Sarpkaya @destan
  Duncan Smart <duncan.smart@gmail.com>
  Emil Lerch <emil@lerch.org>
  Erik Hyrkas <erik.hyrkas@thomsonreuters.com>
  Erling Linde <erlingwl@gmail.com>
  Fábio C. Barrionuevo da Luz <bnafta@gmail.com>
  Fr33m1nd <lukion@gmx.de>
  Frank Groeneveld <frank@frankgroeneveld.nl>
  Immanuel Häussermann <haeussermann@gmail.com>
  Jake Petroules <jake.petroules@petroules.com>
  James Macdonald <james@kingfisher-systems.co.uk>
  Jason Smith <JasonParallel@gmail.com>
  John Muccigrosso @Jmuccigr
  Julien Le Goff <julego@gmail.com>
  Kay Lukas <kay.lukas@gmail.com>
  Kurt Revis <krevis@snoize.com>
  laura @holamon
  Marc Laporte <marc@laporte.name>
  Matthew M. Boedicker <matthewm@boedicker.org>
  Matthieu Bontemps <matthieu.bontemps@gmail.com>
  Max Sikstrom <max.sikstrom@op5.com>
  Nolan Neustaeter <github@noolan.ca>
  Oleg Kostyuk <cub.uanic@gmail.com>
  Pankaj Jangid <pankaj.jangid@gmail.com>
  robinbetts <robinbetts@yahoo.com>
  Sem <spam@esemi.ru>
  Stefan Weil <sw@weilnetz.de>
  Stephen Kennedy <sk4425@gmail.com>
  Steve Shreeve <steve.shreeve@gmail.com>
  Sven Nierlein <sven@nierlein.org>
  Tobin Juday <tobinibot@gmail.com>
  Todd Fisher <todd.fisher@gmail.com>
  Костадин Дамянов <maxmight@gmail.com>
  Emmanuel Bouthenot <kolter@openics.org>
  Rami @icnocop
  Khodeir-hubdoc @Khodeir-hubdoc
  Jonathan Jefferies @jjok
  Joe Ayers <joseph.ayers@crunchydata.com>
  Jeffrey Cafferata <jeffrey@jcid.nl>
  rainabba
  Mehdi Abbad
  Lyes Amazouz
  Pascal Bach
  Mário Silva